OPTIONS api/CustomerRegistration/RetrieveLedgerAccountDetails

No documentation available.

Request Information

Parameters

NameDescriptionAdditional information
paramList
No documentation available.

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
[
  {},
  {},
  {}
]

text/html

Sample:
[{},{},{}]

application/xml, text/xml

Sample:
<ArrayOfanyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
  <anyType />
  <anyType />
  <anyType />
</ArrayOfanyType>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

No documentation available.

Response body formats

application/json, text/json

Sample:
{
  "pageIndex": 1,
  "pageSize": 2,
  "RecordCount": 3,
  "AcntId": "40df4c22-9c47-4631-84a1-d8f32070ada8",
  "AcntName": "sample string 5",
  "StartDate": "2026-04-18T17:08:45.7457794+05:30",
  "EndDate": "2026-04-18T17:08:45.7457794+05:30",
  "OpeningBalance": 8.0,
  "TotalDr": 9.0,
  "TotalCr": 10.0,
  "ClosingBalance": 11.0,
  "LedgerAccountDetails": [
    {
      "ATrnDate": "2026-04-18T17:08:45.7457794+05:30",
      "VoucherNo": "sample string 2",
      "AcntId": "48c271b5-9570-44b6-af7a-6a0e082bbdfc",
      "AcntName": "sample string 4",
      "AtrnType": 5,
      "AtrnTypeText": "sample string 6",
      "AtrnDrCr": 7,
      "DebitAmount": 8.0,
      "CreditAmount": 9.0,
      "BalanceAmt": 10.0,
      "ItrnType": 11,
      "RowNumber": 12
    },
    {
      "ATrnDate": "2026-04-18T17:08:45.7457794+05:30",
      "VoucherNo": "sample string 2",
      "AcntId": "48c271b5-9570-44b6-af7a-6a0e082bbdfc",
      "AcntName": "sample string 4",
      "AtrnType": 5,
      "AtrnTypeText": "sample string 6",
      "AtrnDrCr": 7,
      "DebitAmount": 8.0,
      "CreditAmount": 9.0,
      "BalanceAmt": 10.0,
      "ItrnType": 11,
      "RowNumber": 12
    },
    {
      "ATrnDate": "2026-04-18T17:08:45.7457794+05:30",
      "VoucherNo": "sample string 2",
      "AcntId": "48c271b5-9570-44b6-af7a-6a0e082bbdfc",
      "AcntName": "sample string 4",
      "AtrnType": 5,
      "AtrnTypeText": "sample string 6",
      "AtrnDrCr": 7,
      "DebitAmount": 8.0,
      "CreditAmount": 9.0,
      "BalanceAmt": 10.0,
      "ItrnType": 11,
      "RowNumber": 12
    }
  ],
  "ReturnCode": 12,
  "ReturnMessage": "sample string 13"
}

text/html

Sample:
{"pageIndex":1,"pageSize":2,"RecordCount":3,"AcntId":"40df4c22-9c47-4631-84a1-d8f32070ada8","AcntName":"sample string 5","StartDate":"2026-04-18T17:08:45.7457794+05:30","EndDate":"2026-04-18T17:08:45.7457794+05:30","OpeningBalance":8.0,"TotalDr":9.0,"TotalCr":10.0,"ClosingBalance":11.0,"LedgerAccountDetails":[{"ATrnDate":"2026-04-18T17:08:45.7457794+05:30","VoucherNo":"sample string 2","AcntId":"48c271b5-9570-44b6-af7a-6a0e082bbdfc","AcntName":"sample string 4","AtrnType":5,"AtrnTypeText":"sample string 6","AtrnDrCr":7,"DebitAmount":8.0,"CreditAmount":9.0,"BalanceAmt":10.0,"ItrnType":11,"RowNumber":12},{"ATrnDate":"2026-04-18T17:08:45.7457794+05:30","VoucherNo":"sample string 2","AcntId":"48c271b5-9570-44b6-af7a-6a0e082bbdfc","AcntName":"sample string 4","AtrnType":5,"AtrnTypeText":"sample string 6","AtrnDrCr":7,"DebitAmount":8.0,"CreditAmount":9.0,"BalanceAmt":10.0,"ItrnType":11,"RowNumber":12},{"ATrnDate":"2026-04-18T17:08:45.7457794+05:30","VoucherNo":"sample string 2","AcntId":"48c271b5-9570-44b6-af7a-6a0e082bbdfc","AcntName":"sample string 4","AtrnType":5,"AtrnTypeText":"sample string 6","AtrnDrCr":7,"DebitAmount":8.0,"CreditAmount":9.0,"BalanceAmt":10.0,"ItrnType":11,"RowNumber":12}],"ReturnCode":12,"ReturnMessage":"sample string 13"}

application/xml, text/xml

Sample:
<LedgerAccountModelDetailsMain xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/TABSINVBL.Models">
  <ReturnCode>12</ReturnCode>
  <ReturnMessage>sample string 13</ReturnMessage>
  <AcntId>40df4c22-9c47-4631-84a1-d8f32070ada8</AcntId>
  <AcntName>sample string 5</AcntName>
  <ClosingBalance>11</ClosingBalance>
  <EndDate>2026-04-18T17:08:45.7457794+05:30</EndDate>
  <LedgerAccountDetails>
    <LedgerAccountModelDetails>
      <ATrnDate>2026-04-18T17:08:45.7457794+05:30</ATrnDate>
      <AcntId>48c271b5-9570-44b6-af7a-6a0e082bbdfc</AcntId>
      <AcntName>sample string 4</AcntName>
      <AtrnDrCr>7</AtrnDrCr>
      <AtrnType>5</AtrnType>
      <AtrnTypeText>sample string 6</AtrnTypeText>
      <BalanceAmt>10</BalanceAmt>
      <CreditAmount>9</CreditAmount>
      <DebitAmount>8</DebitAmount>
      <ItrnType>11</ItrnType>
      <RowNumber>12</RowNumber>
      <VoucherNo>sample string 2</VoucherNo>
    </LedgerAccountModelDetails>
    <LedgerAccountModelDetails>
      <ATrnDate>2026-04-18T17:08:45.7457794+05:30</ATrnDate>
      <AcntId>48c271b5-9570-44b6-af7a-6a0e082bbdfc</AcntId>
      <AcntName>sample string 4</AcntName>
      <AtrnDrCr>7</AtrnDrCr>
      <AtrnType>5</AtrnType>
      <AtrnTypeText>sample string 6</AtrnTypeText>
      <BalanceAmt>10</BalanceAmt>
      <CreditAmount>9</CreditAmount>
      <DebitAmount>8</DebitAmount>
      <ItrnType>11</ItrnType>
      <RowNumber>12</RowNumber>
      <VoucherNo>sample string 2</VoucherNo>
    </LedgerAccountModelDetails>
    <LedgerAccountModelDetails>
      <ATrnDate>2026-04-18T17:08:45.7457794+05:30</ATrnDate>
      <AcntId>48c271b5-9570-44b6-af7a-6a0e082bbdfc</AcntId>
      <AcntName>sample string 4</AcntName>
      <AtrnDrCr>7</AtrnDrCr>
      <AtrnType>5</AtrnType>
      <AtrnTypeText>sample string 6</AtrnTypeText>
      <BalanceAmt>10</BalanceAmt>
      <CreditAmount>9</CreditAmount>
      <DebitAmount>8</DebitAmount>
      <ItrnType>11</ItrnType>
      <RowNumber>12</RowNumber>
      <VoucherNo>sample string 2</VoucherNo>
    </LedgerAccountModelDetails>
  </LedgerAccountDetails>
  <OpeningBalance>8</OpeningBalance>
  <RecordCount>3</RecordCount>
  <StartDate>2026-04-18T17:08:45.7457794+05:30</StartDate>
  <TotalCr>10</TotalCr>
  <TotalDr>9</TotalDr>
  <pageIndex>1</pageIndex>
  <pageSize>2</pageSize>
</LedgerAccountModelDetailsMain>